#ifndef SOFTWAREMADX_SEEN
#define SOFTWAREMADX_SEEN

#include "abstractSoftware.h"

typedef pair<string, vector<string> > statements;

class softwareMadx : public abstractSoftware
{
  string emittances(const beam2Moments&) const; 
  string beamData(particleBeam*) const;
  string beamData(const vector<statements>&) const;
  string RFgunData(const vector<statements>&) const; 
  string inputFormat(const vector<statements>&) const;

 public :
  
  softwareMadx();
  softwareMadx(string,sectionToExecute*,dataManager*);
  virtual ~softwareMadx() {;}

  virtual bool createInputFile(particleBeam*,string);
  virtual bool execute(string);
  virtual bool buildBeamAfterElements(string);
  
  inline string getColor() {return "#ecc38e";}
  //{ return "#FFFF00"; }
};
#endif
